## EXPORT_SPEC int UpnpNotify

## ( IN UpnpDevice_Handle,
IN const char* DevID,
IN const char* ServID,
IN const char** VarName,
IN const char** NewVal,
IN int cVariables )

> UpnpNotify sends out an event change notification to all control points subscribed to a particular service.

## Documentation

> UpnpNotify sends out an event change notification to all control points subscribed to a particular service. This function is synchronous and generates no callbacks.

> UpnpNotify may be called during a callback function to send out a notification.

Parameters:
  - UpnpDevice_Handle The handle to the device sending the event.
  DevID - The device ID of the subdevice of the service generating the event.
  ServID - The unique identifier of the service generating the event.
  VarName - Pointer to an array of variables that have changed.
  NewVal - Pointer to an array of new values for those variables.
  cVariables - The count of variables included in this notification.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid device handle.
  - `UPNP_E_INVALID_SERVICE`: The DevId/ServId pair refers to an invalid service.
  - `UPNP_E_INVALID_PARAM`: Either VarName, NewVal, DevID, or ServID is not a valid pointer or cVariables is less than zero.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.